package com.hzya.frame.sys.thirdparty.product.dao;

import com.hzya.frame.sys.thirdparty.product.entity.SysThirdpartyProduct;
import java.util.List;

/**
 * @description: 第三方应用分类表  dao
 * @tableName: sys_thirdparty_product 
 * @entityName: SysThirdpartyProduct
 * @author: gjh
 * @history: 1.0
 */
public interface ISysThirdpartyProductMapper {

        //通过ID获取数据    entity_get
        SysThirdpartyProduct entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysThirdpartyProduct> entity_list_base(SysThirdpartyProduct entity);

        //  查询符合条件的数量
        Integer entity_count(SysThirdpartyProduct entity);

        //分页查询列表 采用like格式 entity_list_like
        List<SysThirdpartyProduct> entity_list_like(SysThirdpartyProduct entity);

        //查询列表 字段采用or格式   entity_list_or
        List<SysThirdpartyProduct> entity_list_or(SysThirdpartyProduct entity);

        //新增  entity_insert
        Integer entity_insert(SysThirdpartyProduct entity);

        //修改  entity_update
        Integer entity_update(SysThirdpartyProduct entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(SysThirdpartyProduct entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(SysThirdpartyProduct entity);

        //物理删除
        Integer entity_delete(SysThirdpartyProduct entity);


        Integer delect_by_Id(List<String> ids);
}
